﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ModeloCartaPorte
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class CartaPorteEntities : DbContext
    {
        public CartaPorteEntities()
            : base("name=CartaPorteEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<Transporte> TransporteSet { get; set; }
        public virtual DbSet<Transportista> TransportistaSet { get; set; }
        public virtual DbSet<CartaPorte> CartaPorteSet { get; set; }
    }
}
